function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = false;
    
    self:FadeOut();
end

function GameScreen:OnClick(item_name)
    if(self.disable) then return end
    
    if("list_full_ok" == item_name)then
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn(0.5);
        if(self.end_fun) then self:end_fun() end
        
        DelayedExec(0.7, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "wrong_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("wrong_back_trigger", 0.85)
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "wrong_windowed", "graphics/interface/menu/wrong_windowed", 270, 458);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "list_full_ok", "graphics/interface/menu/ok", 548, 734);
end
